Skip to main content
`Ctrl`+`K`

# SNESNGSSetSweeps

Sets the number of sweeps of nonlinear GS to use in `SNESNCG`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGSSetSweeps(SNES snes, PetscInt sweeps)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- sweeps - the number of sweeps of nonlinear GS to perform.

## Options Database Key

- -snes_ngs_sweeps <n> - Number of sweeps of nonlinear GS to apply

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNCG`, `SNESSetNGS()`, `SNESGetNGS()`, `SNESSetNPC()`, `SNESNGSGetSweeps()`

## Level

intermediate

## Location

src/snes/impls/gs/snesgs.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages